## Function `sort( array )`

Description:
  Returns a sorted version of a given array.

  Note: This documents the double-precision version of the routine. Corresponding routines exist for other data types (`float`, `long`, `int`, `short`, `byte`, `String`).

Parameters:
  `array` (array of floating point)
    input array

Return Value (array of floating point):
  sorted array

Examples:
  - `sort(array(1.5, 0, 1)) = [0.0, 1.0, 1.5]`
  - `sort(intArray(18,1,3,8,5,12)) = [1,3,5,8,12,18]`
  - `sort(stringArray("dog", "cat", "gnu", "")) = ["", "cat", "dog", "gnu"]`

Signature:
  `double[] sort(double[])`